package com.ywt.outpatient.params.api.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 列表订单VO
 **/
@ApiModel(value = "列表订单VO")
public class ListOrderVO {

    @ApiModelProperty(value = "商品表主键ID", example = "")
    private int goodsOrdersId;

    @ApiModelProperty(value = "订单ID", example = "")
    private int orderId;

    @ApiModelProperty(value = "订单编号", example = "")
    private String orderNo;

    @ApiModelProperty(value = "医院名称", example = "")
    private String hospitalName;

    @ApiModelProperty(value = "医生姓名", example = "")
    private String doctorName;

    @ApiModelProperty(value = "科室", example = "")
    private String deptName;

    @ApiModelProperty(value = "创建时间", example = "")
    private String createTime;

    @ApiModelProperty(value = "订单支付价格，单位：元", example = "")
    private String payAmount;

    @ApiModelProperty(value = "订单状态：0-待支付；1-已支付；2-已退款", example = "")
    private String status;

    @ApiModelProperty(value = "患者姓名", example = "")
    private String patientName;

    public int getGoodsOrdersId() {
        return goodsOrdersId;
    }

    public void setGoodsOrdersId(int goodsOrdersId) {
        this.goodsOrdersId = goodsOrdersId;
    }

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(String payAmount) {
        this.payAmount = payAmount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }
}
